Subject: Re: [Question]: should we consider arp missed max during bond_ab_arp_probe()?

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Nov 2024 17:21:51 -0800

On Wed, 6 Nov 2024 15:40:39 +0100 Jiri Pirko wrote:
> >> Out of curiosity, is anyone still using AB mode in real life? And if  
> >
> >Based on our analyse, in year 2024, there are 53.8% users using 802.3ad mode,
> >41.6% users using active-backup mode. 2.5% users using round-robin mode.
> >  
> >> yes, any idea why exacly?  
> >
> >I think they just want to make sure there is a backup for the link.  
> 
> Why don't they use LACP? You can have backup there as well.

FWIW I was asked to help with A/B setups in the past for facility
networks (building sensor etc). Those guys wanted to do as little
networking as possible, and had very low bandwidth needs but still
wanted the redundancy. Basic active/backup was a good fit.